package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.ReviewTemplate;

public interface ReviewTemplateDAO  {

	ReviewTemplate findById(final int reviewTemplateId) throws ObjectNotFoundException ;
	ReviewTemplate findByGroupId(final int groupId) throws ObjectNotFoundException ;
	List<ReviewTemplate> listAll();
	List<ReviewTemplate> listAllActive();
}
